Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class DatabaseReference

    |
    +--biouml.standard.type.DatabaseReference

public class DatabaseReference
extends Option
implements SerializableAsText

General defintion of reference to external database. Database reference can be stored as text in following format: DatabaseName; ID[; AC][; comment]

Constructor Summary
`DatabaseReference()`
`DatabaseReference(DatabaseReference original)` Copy constructor.
`DatabaseReference(String text)`

Method Summary
`String` | `getAc()`
`String` | `getAsText()`
`String` | `getComment()`
`String` | `getDatabaseName()`
`String` | `getId()`
`void` | `setAc(String ac)`
`void` | `setComment(String comment)`
`void` | `setDatabaseName(String databaseName)`
`void` | `setId(String id)`

Constructor Detail

### DatabaseReference

    public DatabaseReference()

### DatabaseReference

    public DatabaseReference(DatabaseReference original)

  Copy constructor.

### DatabaseReference

    public DatabaseReference(String text)

Method Detail

### getAc

    public String getAc()

### getAsText

    public String getAsText()

### getComment

    public String getComment()

### getDatabaseName

    public String getDatabaseName()

### getId

    public String getId()

### setAc

    public void setAc(String ac)

### setComment

    public void setComment(String comment)

### setDatabaseName

    public void setDatabaseName(String databaseName)

### setId

    public void setId(String id)

Association Links

to Class java.lang.String

  Database name.

to Class java.lang.String

  Record ID (primary key) in referenced database.

to Class java.lang.String

  Record AC (secondary key) in referenced database.

to Class java.lang.String

  Arbitrary comment.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM